Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06581 Interface Minor Always May 13, 2017, 14:10 Jun 26, 2017, 00:58
Tester Robbbert View Status Public Platform MAME (Self-compiled)
Assigned To Nathan Woods Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver
Version 0.185 Fixed in Version 0.188 Build
Summary 06581: Various problems with software loading/unloading: Various problems with software loading
Description These problems existed at the release of 0.185

INI files are set to writeconfig 1 (which means each system gets its own INI file).

Fixed PR#2341 (yet to be applied)
1. Start with software loaded. Unload it. Do a hard reset. The software reloads itself - this is wrong.
2. The option -cart "" is supposed to unload the cart, but it does nothing. The cart stays loaded.
3. (tested with Sorcerer). Unable to unload a cart. It lets you empty the slot, but after exit you start it again and the cart has come back by itself.

Fixed MAME 0.186
4. (tested with Super6). This one has writeconfig of 0. Start with >mame super6 cpm22. It starts up as expected. The driver doesn't work yet, so the disk doesn't boot, so far so good. Now do a hard reset (Shift F3), and this happens:
"super6:cpm22:flop" approximately matches the following
supported software items (best match first):

* Software list "super6" (ADC Super Six diskettes) matches:
cpm22 CP/M 2.2
cpm22 CP/M 2.2
cpm22 CP/M 2.2
cpm22 CP/M 2.2
cpm22 CP/M 2.2
digi56 digi56
tdos122p TurboDOS v1.22p
tdos122p TurboDOS v1.22p
tdos122p TurboDOS v1.22p
tdos122p TurboDOS v1.22p
tdos122p TurboDOS v1.22p
tdos14 TurboDOS v1.4
tdos14 TurboDOS v1.4
tdos14 TurboDOS v1.4
tdos14 TurboDOS v1.4
tdos14 TurboDOS v1.4

Fatal error: Device 5.25" quad density floppy drive load () failed: File not found


The floppy gets ejected and the emulation fatal-errors.




I'll add more bugs as I find them.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.184
Affected Sets / Systems Various problems with software loading/unloading
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.13851
Robbbert
Developer
May 26, 2017, 10:03
Number 4 has been fixed.
User avatar
No.13904
Tafoid
Administrator
Jun 8, 2017, 18:58
edited on: Jun 17, 2017, 18:47
Number 1 and 3 appear to be the same cause/effect where the UI selection for "empty slot" is not honored and will run what was saved or loaded via command line instead, regardless of saved .ini or not - regression started in 0.184
Number 2 : Test done with default settings - command-line only
mame a2600 tunnelrn -writeconfig - to set tunnelrn as the cart to run when you start system
mame a2600 - verify that tunnelrn is started automatically
mame a2600 -cart "" - MAME starts out as you'd expect, looking to mount a cartridge and you are prompted with selection of a cart. 0.186 still has this issue

Both above issues appear to be fixed now in the refactor PR: https://github.com/mamedev/mame/pull/2341

Number 4 is indeed fixed as of MAME 0.186